## wxWindowCreateEvent

This event is sent just after the actual window associated with a wxWindow object has been created. Since it is derived from wxCommandEvent, the event propagates up the window hierarchy.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a window creation event, use this event handler macro to direct input to a member function that takes a wxWindowCreateEvent argument.

EVT_WINDOW_CREATE(func) | Process a wxEVT_CREATE event.

See also

Event handling overview, wxWindowDestroyEvent

Members

wxWindowCreateEvent::wxWindowCreateEvent

### wxWindowCreateEvent::wxWindowCreateEvent

wxWindowCreateEvent(wxWindow* win = NULL)

Constructor.